Subject: Re: linux-next: build failure after merge of the bitmap tree

From: Mark Brown <[email-masked]>
Date: Tue, 27 Sep 2022 19:56:06 +0100

On Mon, Sep 26, 2022 at 05:37:46PM -0700, Yury Norov wrote:
> On Tue, Sep 27, 2022 at 12:53:48AM +0100, [email-masked] wrote:

> > After merging the bitmap tree, today's linux-next build (x86
> > allmodconfig) failed like this:

> Hmm, this weird. I checked the next-20220923, and the drivers' code
> mentioned in the log differs from what I see, and looks correct.
> bitmap_weight() definition hasn't been changed in bitmap-for-next
> patches.

> Allmodconfig build looks good to me.

> Check what I see in next-20220923 below.

I'm seeing the same issue again today, the driver hasn't changed here -
the 

> > /tmp/next/build/drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_hash.c:492:3: note: in expansion of macro 'dev_err'
> >   492 |   dev_err(rvu->dev, "%s: No space in id bitmap (%lu)\n",
> >       |   ^~~~~~~
> > /tmp/next/build/drivers/net/ethernet/marvell/octeontx2/af/rvu_npc_hash.c:492:51: note: format string is defined here
> >   492 |   dev_err(rvu->dev, "%s: No space in id bitmap (%lu)\n",
> >       |                                                 ~~^
> >       |                                                   |
> >       |                                                   long unsigned int
> >       |                                                 %u

>                 dev_err(rvu->dev, "%s: No space in id bitmap (%d)\n",
>                         __func__, bitmap_weight(table->id_bmap, table->tot_ids));

This is coming from a patch Stephen had in his tree "fix up for
bitmap_weight return value changing" which had been in -next, apparently
fixing some other issue which had been in your tree.  With that removed
things seem fine.